# ReferenceExistsCondition

Extends \ProjectComponent Implements \Condition

Condition that tests whether a given reference exists.

author | Matthias Pigulla mp@webfactory.de (Phing)
version | $Id: 7321246363e6d75f8a2d47d9dfcd82aaf0038708 $
package | phing.tasks.system.condition

### Methods

## Check whether the reference exists.

    evaluate() : boolean

throws |

### Response

`boolean`

## Returns a reference to current project

    getProject() : \Project

inherited

### Response

`\Project`

Reference to current porject object

## Logs a message with the given priority.

    log(string $msg, integer $level = \Project::MSG_INFO) : void

inherited

### Arguments

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## References the project to the current component.

    setProject(\Project $project) : void

inherited

### Arguments

#### $project

`\Project`

The reference to the current project

## setRef

    setRef( $id)

### Arguments

#### $id

``

### Properties

## refid

    refid :

### Type(s)

``

## Holds a reference to the project that a project component (a task, a target, etc.) belongs to

    project : \Project

inherited

var | A reference to the current project instance

### Type(s)

`\Project`